import pathlib
import jpype
import stubgenj

jars = list(map(str, pathlib.Path('orekit_jpype/jars/').glob('**/*.jar')))

jpype.startJVM(classpath=jars, convertStrings=True)

# import jpype.imports  # noqa
import org.orekit  # noqa
import org.hipparchus  # noqa
import java  # noqa

stubgenj.generateJavaStubs([java, org.orekit, org.hipparchus],
                           useStubsSuffix=True)


# python -m stubgenj --convert-strings --classpath "orekit_jpype/jars/*.jar" org.orekit  org.hipparchus java jpype